/*******************************************************************************
 *  Copyright CONSORTIUM COCKTAIL (www.cocktail.org), 1995, 2008
 *  
 *  This software is governed by the CeCILL license under French law and abiding
 *  by the rules of distribution of free software. You can use, modify and/or
 *  redistribute the software under the terms of the CeCILL license as circulated
 *  by CEA, CNRS and INRIA at the following URL "http://www.cecill.info".
 *  
 *  As a counterpart to the access to the source code and rights to copy, modify
 *  and redistribute granted by the license, users are provided only with a
 *  limited warranty and the software's author, the holder of the economic
 *  rights, and the successive licensors have only limited liability.
 *  
 *  In this respect, the user's attention is drawn to the risks associated with
 *  loading, using, modifying and/or developing or reproducing the software by
 *  the user in light of its specific status of free software, that may mean that
 *  it is complicated to manipulate, and that also therefore means that it is
 *  reserved for developers and experienced professionals having in-depth
 *  computer knowledge. Users are therefore encouraged to load and test the
 *  software's suitability as regards their requirements in conditions enabling
 *  the security of their systems and/or data to be ensured and, more generally,
 *  to use and operate it in the same conditions as regards security.
 *  
 *  The fact that you are presently reading this means that you have had
 *  knowledge of the CeCILL license and that you accept its terms.
 * 
 *******************************************************************************/

package org.cocktail.mangue.client.gui.individu;

import java.awt.BorderLayout;
import java.util.Vector;

import javax.swing.BorderFactory;
import javax.swing.JFrame;
import javax.swing.JScrollPane;
import javax.swing.ListSelectionModel;
import javax.swing.SwingConstants;

import org.cocktail.application.client.swing.TableSorter;
import org.cocktail.application.client.swing.ZEOTable;
import org.cocktail.application.client.swing.ZEOTableModel;
import org.cocktail.application.client.swing.ZEOTableModelColumn;
import org.cocktail.mangue.common.utilities.CocktailConstantes;
import org.cocktail.mangue.common.utilities.CocktailIcones;
import org.cocktail.mangue.modele.grhum.referentiel.EOAdresse;
import org.cocktail.mangue.modele.grhum.referentiel.EORepartPersonneAdresse;

import com.webobjects.eointerface.EODisplayGroup;


/**
 *
 * @author  cpinsard
 */
public class AdressesView extends JFrame {

    /**
	 * 
	 */
	private static final long serialVersionUID = -6195866169790317637L;
	protected EODisplayGroup eod;
	protected ZEOTable myEOTable;
	protected ZEOTableModel myTableModel;
	protected TableSorter myTableSorter;

	/** Creates new form TemplateJDialog */
    public AdressesView(java.awt.Frame parent, EODisplayGroup dg, boolean modal) {
    	eod = dg;
        initComponents();
        initGui();
    }

    /** This method is called from within the constructor to
     * initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is
     * always regenerated by the Form Editor.
     */

    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        buttonGroup1 = new javax.swing.ButtonGroup();
        viewAdresse = new javax.swing.JPanel();
        btnModifier = new javax.swing.JButton();
        btnAjouter = new javax.swing.JButton();
        btnSupprimer = new javax.swing.JButton();
        viewTable = new javax.swing.JPanel();
        btnAnnuler = new javax.swing.JButton();
        btnValider = new javax.swing.JButton();
        jPanel2 = new javax.swing.JPanel();
        tfAdresse = new javax.swing.JTextField();
        jLabel16 = new javax.swing.JLabel();
        tfComplement = new javax.swing.JTextField();
        jLabel17 = new javax.swing.JLabel();
        jLabel6 = new javax.swing.JLabel();
        jSeparator1 = new javax.swing.JSeparator();
        checkPerso = new javax.swing.JCheckBox();
        checkPro = new javax.swing.JCheckBox();
        checkFact = new javax.swing.JCheckBox();
        checkValide = new javax.swing.JCheckBox();
        jLabel14 = new javax.swing.JLabel();
        checkPrincipale = new javax.swing.JCheckBox();
        jPanel1 = new javax.swing.JPanel();
        jLabel11 = new javax.swing.JLabel();
        btnGetPays = new org.cocktail.component.COButton();
        tfPays = new org.cocktail.component.COTextField();
        tfUrl = new org.cocktail.component.COTextField();
        tfMail = new org.cocktail.component.COTextField();
        jLabel12 = new javax.swing.JLabel();
        jLabel13 = new javax.swing.JLabel();
        tfMessage = new javax.swing.JLabel();
        panelFrance = new javax.swing.JPanel();
        popupVilles = new javax.swing.JComboBox();
        tfCodePostal = new javax.swing.JTextField();
        jLabel18 = new javax.swing.JLabel();
        jLabel19 = new javax.swing.JLabel();
        jLabel21 = new javax.swing.JLabel();
        tfBoitePostale = new javax.swing.JTextField();
        panelEtranger = new javax.swing.JPanel();
        jLabel22 = new javax.swing.JLabel();
        tfCodePostalEtranger = new javax.swing.JTextField();
        tfVille = new javax.swing.JTextField();
        jLabel20 = new javax.swing.JLabel();
        popupValidite = new javax.swing.JComboBox();
        checkFiltrePerso = new javax.swing.JRadioButton();
        checkFiltrePro = new javax.swing.JRadioButton();
        checkFiltreFact = new javax.swing.JRadioButton();
        checkFiltreAutres = new javax.swing.JRadioButton();

        setDefaultCloseOperation(javax.swing.WindowConstants.DISPOSE_ON_CLOSE);
        setTitle("ADRESSES");

        btnModifier.setToolTipText("Modification de l'adresse");

        btnAjouter.setToolTipText("Ajout d'une adresse");

        btnSupprimer.setToolTipText("Invalidation de l'adresse");

        viewTable.setBorder(javax.swing.BorderFactory.createBevelBorder(javax.swing.border.BevelBorder.RAISED));
        viewTable.setLayout(new java.awt.BorderLayout());

        btnValider.setToolTipText("Valider la saisie");

        jPanel2.setBorder(javax.swing.BorderFactory.createBevelBorder(javax.swing.border.BevelBorder.RAISED));

        tfAdresse.setHorizontalAlignment(javax.swing.JTextField.LEFT);
        tfAdresse.setToolTipText("");

        jLabel16.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel16.setText("Complément");

        tfComplement.setHorizontalAlignment(javax.swing.JTextField.LEFT);
        tfComplement.setToolTipText("");
        tfComplement.setNextFocusableComponent(tfCodePostal);

        jLabel17.setFont(new java.awt.Font("Tahoma", 1, 11));
        jLabel17.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel17.setText("Adresse");

        jLabel6.setFont(new java.awt.Font("Tahoma", 1, 12));
        jLabel6.setText("DETAIL ADRESSE");

        checkPerso.setText("Personnelle");
        checkPerso.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                checkPersoActionPerformed(evt);
            }
        });

        checkPro.setText("Professionnelle");
        checkPro.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                checkProActionPerformed(evt);
            }
        });

        checkFact.setText("Facturation");
        checkFact.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                checkFactActionPerformed(evt);
            }
        });

        checkValide.setText("VALIDE");
        checkValide.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                checkValideActionPerformed(evt);
            }
        });

        jLabel14.setFont(new java.awt.Font("Helvetica", 0, 12));
        jLabel14.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel14.setText("TYPE");

        checkPrincipale.setText("PRINCIPALE");
        checkPrincipale.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                checkPrincipaleActionPerformed(evt);
            }
        });

        jLabel11.setFont(new java.awt.Font("Helvetica", 1, 12));
        jLabel11.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel11.setText("Pays");

        btnGetPays.setActionName("afficherPays");
        btnGetPays.setBorderPainted(false);
        btnGetPays.setEnabledMethod("peutChoisirPays");
        btnGetPays.setIconName("loupe16.gif");

        tfPays.setEnabledMethod("nonEditable");
        tfPays.setSupportsBackgroundColor(true);
        tfPays.setValueName("toAdresse.toPays.libelleLong");

        tfUrl.setEnabledMethod("nonEditable");
        tfUrl.setSupportsBackgroundColor(true);
        tfUrl.setValueName("toAdresse.toPays.libelleLong");

        tfMail.setEnabledMethod("nonEditable");
        tfMail.setSupportsBackgroundColor(true);
        tfMail.setValueName("toAdresse.toPays.libelleLong");

        jLabel12.setFont(new java.awt.Font("Helvetica", 0, 12));
        jLabel12.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel12.setText("Mail");

        jLabel13.setFont(new java.awt.Font("Helvetica", 0, 12));
        jLabel13.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel13.setText("URL");

        org.jdesktop.layout.GroupLayout jPanel1Layout = new org.jdesktop.layout.GroupLayout(jPanel1);
        jPanel1.setLayout(jPanel1Layout);
        jPanel1Layout.setHorizontalGroup(
            jPanel1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(jPanel1Layout.createSequentialGroup()
                .addContainerGap()
                .add(jPanel1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.TRAILING)
                    .add(jLabel11, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 60, Short.MAX_VALUE)
                    .add(jLabel12))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                .add(jPanel1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING, false)
                    .add(org.jdesktop.layout.GroupLayout.TRAILING, jPanel1Layout.createSequentialGroup()
                        .add(tfPays, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(btnGetPays, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 18, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                    .add(jPanel1Layout.createSequentialGroup()
                        .add(tfMail, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 215, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(jLabel13, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 40, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(tfUrl, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 175, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)))
                .add(278, 278, 278))
        );
        jPanel1Layout.setVerticalGroup(
            jPanel1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(jPanel1Layout.createSequentialGroup()
                .addContainerGap()
                .add(jPanel1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(jPanel1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                        .add(tfPays, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 20, Short.MAX_VALUE)
                        .add(jLabel11))
                    .add(btnGetPays, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 20, Short.MAX_VALUE))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(jPanel1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(tfMail, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 20, Short.MAX_VALUE)
                    .add(jLabel13)
                    .add(tfUrl, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 20, Short.MAX_VALUE)
                    .add(jLabel12))
                .addContainerGap())
        );

        tfMessage.setForeground(new java.awt.Color(255, 51, 51));

        popupVilles.setModel(new javax.swing.DefaultComboBoxModel(new String[] { "Item 1", "Item 2", "Item 3", "Item 4" }));

        tfCodePostal.setHorizontalAlignment(javax.swing.JTextField.CENTER);
        tfCodePostal.setToolTipText("");

        jLabel18.setFont(new java.awt.Font("Tahoma", 1, 11));
        jLabel18.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel18.setText("Code Postal");

        jLabel19.setFont(new java.awt.Font("Tahoma", 1, 11));
        jLabel19.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel19.setText("Ville");

        jLabel21.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel21.setText("B.P.");

        tfBoitePostale.setHorizontalAlignment(javax.swing.JTextField.LEFT);
        tfBoitePostale.setToolTipText("");

        org.jdesktop.layout.GroupLayout panelFranceLayout = new org.jdesktop.layout.GroupLayout(panelFrance);
        panelFrance.setLayout(panelFranceLayout);
        panelFranceLayout.setHorizontalGroup(
            panelFranceLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(panelFranceLayout.createSequentialGroup()
                .addContainerGap()
                .add(jLabel18, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 83, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                .add(tfCodePostal, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 68, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(jLabel19, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 38, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                .add(popupVilles, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 198, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(jLabel21, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 51, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(tfBoitePostale, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 54, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addContainerGap(org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
        );
        panelFranceLayout.setVerticalGroup(
            panelFranceLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(panelFranceLayout.createSequentialGroup()
                .add(11, 11, 11)
                .add(panelFranceLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(panelFranceLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                        .add(tfCodePostal)
                        .add(jLabel19)
                        .add(popupVilles, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .add(jLabel21)
                        .add(tfBoitePostale, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                    .add(jLabel18))
                .addContainerGap())
        );

        jLabel22.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel22.setText("Ville");

        tfCodePostalEtranger.setHorizontalAlignment(javax.swing.JTextField.LEFT);
        tfCodePostalEtranger.setToolTipText("");

        jLabel20.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel20.setText("CP Etranger");

        org.jdesktop.layout.GroupLayout panelEtrangerLayout = new org.jdesktop.layout.GroupLayout(panelEtranger);
        panelEtranger.setLayout(panelEtrangerLayout);
        panelEtrangerLayout.setHorizontalGroup(
            panelEtrangerLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(panelEtrangerLayout.createSequentialGroup()
                .addContainerGap()
                .add(jLabel20, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 89, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(tfCodePostalEtranger, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 67, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .add(12, 12, 12)
                .add(jLabel22, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 30, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                .add(tfVille, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 206, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addContainerGap(116, Short.MAX_VALUE))
        );
        panelEtrangerLayout.setVerticalGroup(
            panelEtrangerLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(panelEtrangerLayout.createSequentialGroup()
                .addContainerGap()
                .add(panelEtrangerLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(jLabel22)
                    .add(tfVille, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(tfCodePostalEtranger)
                    .add(jLabel20, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 17, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .addContainerGap(org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
        );

        org.jdesktop.layout.GroupLayout jPanel2Layout = new org.jdesktop.layout.GroupLayout(jPanel2);
        jPanel2.setLayout(jPanel2Layout);
        jPanel2Layout.setHorizontalGroup(
            jPanel2Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(jPanel2Layout.createSequentialGroup()
                .addContainerGap()
                .add(jPanel2Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(jPanel2Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING, false)
                        .add(jPanel2Layout.createSequentialGroup()
                            .add(jPanel2Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.TRAILING, false)
                                .add(jLabel17, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 90, Short.MAX_VALUE)
                                .add(jLabel16))
                            .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                            .add(jPanel2Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.TRAILING)
                                .add(tfComplement, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 320, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .add(tfAdresse, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 320, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                            .add(106, 106, 106))
                        .add(org.jdesktop.layout.GroupLayout.TRAILING, jPanel2Layout.createSequentialGroup()
                            .add(jPanel2Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.TRAILING, false)
                                .add(jSeparator1, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 526, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .add(org.jdesktop.layout.GroupLayout.LEADING, jPanel2Layout.createSequentialGroup()
                                    .add(jLabel6, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 143, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                    .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                                    .add(checkValide)
                                    .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                    .add(checkPrincipale)
                                    .add(29, 29, 29)))
                            .add(84, 84, 84)))
                    .add(jPanel2Layout.createSequentialGroup()
                        .add(jPanel1, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 508, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(tfMessage, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 317, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                    .add(jPanel2Layout.createSequentialGroup()
                        .add(jLabel14, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 93, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                        .add(checkPerso)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(checkPro)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                        .add(checkFact))
                    .add(jPanel2Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.TRAILING, false)
                        .add(org.jdesktop.layout.GroupLayout.LEADING, panelEtranger, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                        .add(org.jdesktop.layout.GroupLayout.LEADING, panelFrance, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)))
                .addContainerGap(org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
        );
        jPanel2Layout.setVerticalGroup(
            jPanel2Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(jPanel2Layout.createSequentialGroup()
                .addContainerGap()
                .add(jPanel2Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(jLabel6)
                    .add(checkPrincipale)
                    .add(checkValide))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(jSeparator1, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 10, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(jPanel2Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(tfAdresse, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(jLabel17))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(jPanel2Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(tfComplement, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(jLabel16))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(panelFrance, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .add(2, 2, 2)
                .add(panelEtranger, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .add(18, 18, 18)
                .add(jPanel2Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(tfMessage, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 18, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(jPanel1, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                .add(jPanel2Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(jLabel14)
                    .add(checkPerso)
                    .add(checkPro)
                    .add(checkFact))
                .addContainerGap(org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
        );

        popupValidite.setModel(new javax.swing.DefaultComboBoxModel(new String[] { "Item 1", "Item 2", "Item 3", "Item 4" }));

        buttonGroup1.add(checkFiltrePerso);
        checkFiltrePerso.setText("Personnelles");
        checkFiltrePerso.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                checkFiltrePersoActionPerformed(evt);
            }
        });

        buttonGroup1.add(checkFiltrePro);
        checkFiltrePro.setText("Professionnelles");
        checkFiltrePro.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                checkFiltreProActionPerformed(evt);
            }
        });

        buttonGroup1.add(checkFiltreFact);
        checkFiltreFact.setText("Facturation");
        checkFiltreFact.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                checkFiltreFactActionPerformed(evt);
            }
        });

        buttonGroup1.add(checkFiltreAutres);
        checkFiltreAutres.setText("Etu / Parent");
        checkFiltreAutres.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                checkFiltreAutresActionPerformed(evt);
            }
        });

        org.jdesktop.layout.GroupLayout viewAdresseLayout = new org.jdesktop.layout.GroupLayout(viewAdresse);
        viewAdresse.setLayout(viewAdresseLayout);
        viewAdresseLayout.setHorizontalGroup(
            viewAdresseLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(viewAdresseLayout.createSequentialGroup()
                .addContainerGap()
                .add(viewAdresseLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(viewAdresseLayout.createSequentialGroup()
                        .add(checkFiltrePerso)
                        .add(2, 2, 2)
                        .add(checkFiltrePro)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(checkFiltreFact)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(checkFiltreAutres)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                        .add(popupValidite, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 118, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                    .add(org.jdesktop.layout.GroupLayout.TRAILING, viewAdresseLayout.createSequentialGroup()
                        .add(btnAnnuler, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 54, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(btnValider, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 53, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                    .add(jPanel2, 0, 661, Short.MAX_VALUE)
                    .add(org.jdesktop.layout.GroupLayout.TRAILING, viewAdresseLayout.createSequentialGroup()
                        .add(viewTable, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 632, Short.MAX_VALUE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(viewAdresseLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.TRAILING)
                            .add(viewAdresseLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                                .add(btnSupprimer, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 23, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .add(btnModifier, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 23, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                            .add(btnAjouter, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 23, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))))
                .addContainerGap())
        );
        viewAdresseLayout.setVerticalGroup(
            viewAdresseLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(viewAdresseLayout.createSequentialGroup()
                .addContainerGap()
                .add(viewAdresseLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(popupValidite, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(checkFiltrePerso)
                    .add(checkFiltrePro)
                    .add(checkFiltreFact)
                    .add(checkFiltreAutres))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(viewAdresseLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(viewAdresseLayout.createSequentialGroup()
                        .add(btnAjouter, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 20, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(btnModifier, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 20, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(btnSupprimer, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 20, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                    .add(viewTable, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 113, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(jPanel2, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(viewAdresseLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.TRAILING)
                    .add(btnAnnuler, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 20, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(btnValider, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 20, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .addContainerGap(57, Short.MAX_VALUE))
        );

        org.jdesktop.layout.GroupLayout layout = new org.jdesktop.layout.GroupLayout(getContentPane());
        getContentPane().setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(layout.createSequentialGroup()
                .addContainerGap()
                .add(viewAdresse, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                .addContainerGap())
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(layout.createSequentialGroup()
                .addContainerGap()
                .add(viewAdresse, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                .addContainerGap())
        );

        java.awt.Dimension screenSize = java.awt.Toolkit.getDefaultToolkit().getScreenSize();
        setBounds((screenSize.width-717)/2, (screenSize.height-616)/2, 717, 616);
    }// </editor-fold>//GEN-END:initComponents

    private void checkPersoActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_checkPersoActionPerformed
        // TODO add your handling code here:
    }//GEN-LAST:event_checkPersoActionPerformed

    private void checkProActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_checkProActionPerformed
        // TODO add your handling code here:
    }//GEN-LAST:event_checkProActionPerformed

    private void checkFactActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_checkFactActionPerformed
        // TODO add your handling code here:
    }//GEN-LAST:event_checkFactActionPerformed

    private void checkValideActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_checkValideActionPerformed
        // TODO add your handling code here:
    }//GEN-LAST:event_checkValideActionPerformed

    private void checkPrincipaleActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_checkPrincipaleActionPerformed
        // TODO add your handling code here:
    }//GEN-LAST:event_checkPrincipaleActionPerformed

    private void checkFiltrePersoActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_checkFiltrePersoActionPerformed
        // TODO add your handling code here:
    }//GEN-LAST:event_checkFiltrePersoActionPerformed

    private void checkFiltreProActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_checkFiltreProActionPerformed
        // TODO add your handling code here:
    }//GEN-LAST:event_checkFiltreProActionPerformed

    private void checkFiltreFactActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_checkFiltreFactActionPerformed
        // TODO add your handling code here:
    }//GEN-LAST:event_checkFiltreFactActionPerformed

    private void checkFiltreAutresActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_checkFiltreAutresActionPerformed
        // TODO add your handling code here:
    }//GEN-LAST:event_checkFiltreAutresActionPerformed

    /**
    * @param args the command line arguments
    */
    public static void main(String args[]) {
        java.awt.EventQueue.invokeLater(new Runnable() {
            public void run() {
            	AdressesView dialog = new AdressesView(new javax.swing.JFrame(), null, true);
                dialog.addWindowListener(new java.awt.event.WindowAdapter() {
                    public void windowClosing(java.awt.event.WindowEvent e) {
                        System.exit(0);
                    }
                });
                dialog.setVisible(true);
            }
        });
    }

    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JButton btnAjouter;
    private javax.swing.JButton btnAnnuler;
    public org.cocktail.component.COButton btnGetPays;
    private javax.swing.JButton btnModifier;
    private javax.swing.JButton btnSupprimer;
    private javax.swing.JButton btnValider;
    private javax.swing.ButtonGroup buttonGroup1;
    private javax.swing.JCheckBox checkFact;
    private javax.swing.JRadioButton checkFiltreAutres;
    private javax.swing.JRadioButton checkFiltreFact;
    private javax.swing.JRadioButton checkFiltrePerso;
    private javax.swing.JRadioButton checkFiltrePro;
    private javax.swing.JCheckBox checkPerso;
    private javax.swing.JCheckBox checkPrincipale;
    private javax.swing.JCheckBox checkPro;
    private javax.swing.JCheckBox checkValide;
    private javax.swing.JLabel jLabel11;
    private javax.swing.JLabel jLabel12;
    private javax.swing.JLabel jLabel13;
    private javax.swing.JLabel jLabel14;
    private javax.swing.JLabel jLabel16;
    private javax.swing.JLabel jLabel17;
    private javax.swing.JLabel jLabel18;
    private javax.swing.JLabel jLabel19;
    private javax.swing.JLabel jLabel20;
    private javax.swing.JLabel jLabel21;
    private javax.swing.JLabel jLabel22;
    private javax.swing.JLabel jLabel6;
    private javax.swing.JPanel jPanel1;
    private javax.swing.JPanel jPanel2;
    private javax.swing.JSeparator jSeparator1;
    private javax.swing.JPanel panelEtranger;
    private javax.swing.JPanel panelFrance;
    private javax.swing.JComboBox popupValidite;
    private javax.swing.JComboBox popupVilles;
    protected javax.swing.JTextField tfAdresse;
    protected javax.swing.JTextField tfBoitePostale;
    protected javax.swing.JTextField tfCodePostal;
    protected javax.swing.JTextField tfCodePostalEtranger;
    protected javax.swing.JTextField tfComplement;
    public org.cocktail.component.COTextField tfMail;
    private javax.swing.JLabel tfMessage;
    public org.cocktail.component.COTextField tfPays;
    public org.cocktail.component.COTextField tfUrl;
    private javax.swing.JTextField tfVille;
    private javax.swing.JPanel viewAdresse;
    private javax.swing.JPanel viewTable;
    // End of variables declaration//GEN-END:variables

    private void initGui() {
    	
    	popupValidite.removeAllItems();
    	popupValidite.addItem("VALIDES");
    	popupValidite.addItem("INVALIDES");
    	
    	btnAjouter.setIcon(CocktailIcones.ICON_ADD);
    	btnModifier.setIcon(CocktailIcones.ICON_UPDATE);
    	btnSupprimer.setIcon(CocktailIcones.ICON_DELETE);

    	btnGetPays.setIcon(CocktailIcones.ICON_SELECT_16);
    	btnValider.setIcon(CocktailIcones.ICON_VALID);
    	btnAnnuler.setIcon(CocktailIcones.ICON_CANCEL);

    	Vector<ZEOTableModelColumn> myCols = new Vector<ZEOTableModelColumn>();

    	ZEOTableModelColumn col = new ZEOTableModelColumn(eod, EORepartPersonneAdresse.TO_ADRESSE_KEY+"."+EOAdresse.ADR_ADRESSE1_KEY, "Adresse", 190);
    	col.setAlignment(SwingConstants.LEFT);
    	myCols.add(col);
    	col = new ZEOTableModelColumn(eod, EORepartPersonneAdresse.TO_ADRESSE_KEY+"."+EOAdresse.ADR_ADRESSE2_KEY, "Complément", 190);
    	col.setAlignment(SwingConstants.LEFT);
    	myCols.add(col);
    	col = new ZEOTableModelColumn(eod, EORepartPersonneAdresse.TO_ADRESSE_KEY+"."+EOAdresse.CP_AFFICHAGE_KEY, "CP", 50);
    	col.setAlignment(SwingConstants.CENTER);
    	myCols.add(col);
    	col = new ZEOTableModelColumn(eod, EORepartPersonneAdresse.TO_ADRESSE_KEY+"."+EOAdresse.VILLE_KEY, "Ville", 100);
    	col.setAlignment(SwingConstants.LEFT);
    	myCols.add(col);
    	col = new ZEOTableModelColumn(eod, EORepartPersonneAdresse.RPA_VALIDE_KEY, "Val", 40);
    	col.setAlignment(SwingConstants.CENTER);
    	myCols.add(col);
    	col = new ZEOTableModelColumn(eod, EORepartPersonneAdresse.RPA_PRINCIPAL_KEY, "Princ", 40);
    	col.setAlignment(SwingConstants.CENTER);
    	myCols.add(col);
    	col = new ZEOTableModelColumn(eod, EORepartPersonneAdresse.ADR_ORDRE_KEY, "Clé", 30);
    	col.setAlignment(SwingConstants.RIGHT);
    	myCols.add(col);

    	myTableModel = new ZEOTableModel(eod, myCols);
		myTableSorter = new TableSorter(myTableModel);

		myEOTable = new ZEOTable(myTableSorter);
		myTableSorter.setTableHeader(myEOTable.getTableHeader());		

		myEOTable.setBackground(CocktailConstantes.COLOR_BKG_TABLE_VIEW);
		myEOTable.setSelectionBackground(CocktailConstantes.COLOR_SELECTED_ROW);
		myEOTable.setSelectionMode(ListSelectionModel.SINGLE_INTERVAL_SELECTION);
		
		viewTable.setLayout(new BorderLayout());
		viewTable.setBorder(BorderFactory.createEmptyBorder(2,2,2,2));
		viewTable.removeAll();
		viewTable.add(new JScrollPane(myEOTable), BorderLayout.CENTER);
		
    }

	public ZEOTable getMyEOTable() {
		return myEOTable;
	}

	public void setMyEOTable(ZEOTable myEOTable) {
		this.myEOTable = myEOTable;
	}

	public ZEOTableModel getMyTableModel() {
		return myTableModel;
	}

	public void setMyTableModel(ZEOTableModel myTableModel) {
		this.myTableModel = myTableModel;
	}

	public javax.swing.JButton getBtnAjouter() {
		return btnAjouter;
	}

	public void setBtnAjouter(javax.swing.JButton btnAjouter) {
		this.btnAjouter = btnAjouter;
	}

	public javax.swing.JButton getBtnAnnuler() {
		return btnAnnuler;
	}

	public void setBtnAnnuler(javax.swing.JButton btnAnnuler) {
		this.btnAnnuler = btnAnnuler;
	}

	public javax.swing.JButton getBtnModifier() {
		return btnModifier;
	}

	public void setBtnModifier(javax.swing.JButton btnModifier) {
		this.btnModifier = btnModifier;
	}

	public javax.swing.JButton getBtnSupprimer() {
		return btnSupprimer;
	}

	public void setBtnSupprimer(javax.swing.JButton btnSupprimer) {
		this.btnSupprimer = btnSupprimer;
	}

	public javax.swing.JButton getBtnValider() {
		return btnValider;
	}

	public void setBtnValider(javax.swing.JButton btnValider) {
		this.btnValider = btnValider;
	}

	public javax.swing.JComboBox getPopupVilles() {
		return popupVilles;
	}

	public void setPopupVilles(javax.swing.JComboBox popupVilles) {
		this.popupVilles = popupVilles;
	}

	public javax.swing.JTextField getTfAdresse() {
		return tfAdresse;
	}

	public void setTfAdresse(javax.swing.JTextField tfAdresse) {
		this.tfAdresse = tfAdresse;
	}

	public javax.swing.JTextField getTfBoitePostale() {
		return tfBoitePostale;
	}

	public void setTfBoitePostale(javax.swing.JTextField tfBoitePostale) {
		this.tfBoitePostale = tfBoitePostale;
	}

	public javax.swing.JTextField getTfCodePostal() {
		return tfCodePostal;
	}

	public void setTfCodePostal(javax.swing.JTextField tfCodePostal) {
		this.tfCodePostal = tfCodePostal;
	}

	public javax.swing.JTextField getTfCodePostalEtranger() {
		return tfCodePostalEtranger;
	}

	public void setTfCodePostalEtranger(javax.swing.JTextField tfCodePostalEtranger) {
		this.tfCodePostalEtranger = tfCodePostalEtranger;
	}

	public javax.swing.JTextField getTfComplement() {
		return tfComplement;
	}

	public void setTfComplement(javax.swing.JTextField tfComplement) {
		this.tfComplement = tfComplement;
	}

	public javax.swing.JPanel getViewAdresse() {
		return viewAdresse;
	}

	public javax.swing.JCheckBox getCheckFact() {
		return checkFact;
	}

	public void setCheckFact(javax.swing.JCheckBox checkFact) {
		this.checkFact = checkFact;
	}

	public javax.swing.JLabel getTfMessage() {
		return tfMessage;
	}

	public void setTfMessage(javax.swing.JLabel tfMessage) {
		this.tfMessage = tfMessage;
	}

	public javax.swing.JCheckBox getCheckPerso() {
		return checkPerso;
	}

	public void setCheckPerso(javax.swing.JCheckBox checkPerso) {
		this.checkPerso = checkPerso;
	}

	public javax.swing.JCheckBox getCheckPrincipale() {
		return checkPrincipale;
	}

	public void setCheckPrincipale(javax.swing.JCheckBox checkPrincipale) {
		this.checkPrincipale = checkPrincipale;
	}

	public javax.swing.JCheckBox getCheckPro() {
		return checkPro;
	}

	public void setCheckPro(javax.swing.JCheckBox checkPro) {
		this.checkPro = checkPro;
	}

	public javax.swing.JCheckBox getCheckValide() {
		return checkValide;
	}

	public javax.swing.JTextField getTfVille() {
		return tfVille;
	}

	public void setTfVille(javax.swing.JTextField tfVille) {
		this.tfVille = tfVille;
	}

	public void setCheckValide(javax.swing.JCheckBox checkValide) {
		this.checkValide = checkValide;
	}

	public void setViewAdresse(javax.swing.JPanel viewAdresse) {
		this.viewAdresse = viewAdresse;
	}

	public org.cocktail.component.COButton getBtnGetPays() {
		return btnGetPays;
	}

	public void setBtnGetPays(org.cocktail.component.COButton btnGetPays) {
		this.btnGetPays = btnGetPays;
	}

	public org.cocktail.component.COTextField getTfMail() {
		return tfMail;
	}

	public void setTfMail(org.cocktail.component.COTextField tfMail) {
		this.tfMail = tfMail;
	}

	public org.cocktail.component.COTextField getTfPays() {
		return tfPays;
	}

	public javax.swing.JComboBox getPopupValidite() {
		return popupValidite;
	}

	public void setPopupValidite(javax.swing.JComboBox popupValidite) {
		this.popupValidite = popupValidite;
	}

	public void setTfPays(org.cocktail.component.COTextField tfPays) {
		this.tfPays = tfPays;
	}

	public org.cocktail.component.COTextField getTfUrl() {
		return tfUrl;
	}

	public void setTfUrl(org.cocktail.component.COTextField tfUrl) {
		this.tfUrl = tfUrl;
	}

	public javax.swing.JRadioButton getCheckFiltreAutres() {
		return checkFiltreAutres;
	}

	public void setCheckFiltreAutres(javax.swing.JRadioButton checkFiltreAutres) {
		this.checkFiltreAutres = checkFiltreAutres;
	}

	public javax.swing.JRadioButton getCheckFiltreFact() {
		return checkFiltreFact;
	}

	public void setCheckFiltreFact(javax.swing.JRadioButton checkFiltreFact) {
		this.checkFiltreFact = checkFiltreFact;
	}

	public javax.swing.JRadioButton getCheckFiltrePerso() {
		return checkFiltrePerso;
	}

	public void setCheckFiltrePerso(javax.swing.JRadioButton checkFiltrePerso) {
		this.checkFiltrePerso = checkFiltrePerso;
	}

	public javax.swing.JRadioButton getCheckFiltrePro() {
		return checkFiltrePro;
	}

	public void setCheckFiltrePro(javax.swing.JRadioButton checkFiltrePro) {
		this.checkFiltrePro = checkFiltrePro;
	}

	public javax.swing.JPanel getPanelEtranger() {
		return panelEtranger;
	}

	public void setPanelEtranger(javax.swing.JPanel panelEtranger) {
		this.panelEtranger = panelEtranger;
	}

	public javax.swing.JPanel getPanelFrance() {
		return panelFrance;
	}

	public void setPanelFrance(javax.swing.JPanel panelFrance) {
		this.panelFrance = panelFrance;
	}


}
